Query Information of Multiple Outbound Routes
Query the detailed configurations of multiple outbound routes at the same time.
Request URL
GET {base_url}/{api_path}/outbound_route/query?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| ids | Yes | String | The unique ID(s) of the outbound route(s). Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Array<Outroute_Details> | The detailed information of the outbound route. |
Outroute_Details
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the outbound route. |
| name | String | The name of the outbound route. |
| outbound_cid | String | The outbound caller ID of the outbound route. |
| dial_pattern_list | Object<Dialpattern_List> | The dial pattern list. |
| trunk_list | Object<Trunk_List> | The list of the selected trunk in the outbound route. |
| ext_list | Object<Ext_List> | Th information list of the selected extensions. |
| pos | Integer | The current position of the outbound route in the list. |
| pin_protect | String | Outbound route password.
|
| pin | String | Single PIN code. |
| pin_list | Integer | The ID of the selected PIN list. |
Dialpattern_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the dial pattern. |
| pattern | String | The dial pattern matching rules. |
| strip | Integer | The number of digits that will be stripped from the beginning of a dialed number before the call is placed. |
| prepend | String | The digits that will be prepended to the phone number before the call is placed. |
Trunk_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the selected trunk. |
| name | String | Trunk name. |
| type | String | Trunk type. |
Ext_List
| Parameter | Type | Description |
|---|---|---|
| ext_number | String | Extension number. |
| ext_name | String | The name of the extension/extension group/organization. |
| type | String | The type of the selected item.
|
| id | Integer | The unique ID of the selected extension/extension group/organization. |
Examples
Request example
GET /openapi/v1.0/outbound_route/query?ids=9,11,13&access_token=JP1mzonWn6tDLJHLMex2IQf2ZLKElEuF HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": [
{
"id": 9,
"name": "to-41",
"outbound_cid": "",
"dial_pattern_list": [
{
"id": 10,
"pattern": "X.",
"strip": 0
}
],
"trunk_list": [
{
"id": 27,
"name": "test-peer-trunking",
"type": "peer"
}
],
"ext_list": [
{
"ext_number": "2002",
"ext_name": "Terrell Smith",
"type": "extension",
"id": 76
},
{
"ext_number": "2001",
"ext_name": "Phillip Huff",
"type": "extension",
"id": 77
},
{
"ext_number": "2003",
"ext_name": "Dave Harris",
"type": "extension",
"id": 75
},
{
"ext_number": "2005",
"ext_name": "Kristin Hale",
"type": "extension",
"id": 41
},
{
"ext_number": "2008",
"ext_name": "Anna Simmons",
"type": "extension",
"id": 61
}
],
"pos": 2,
"pin_protect": "disable"
},
{
"id": 11,
"name": "shared-trunk",
"outbound_cid": "",
"dial_pattern_list": [
{
"id": 12,
"pattern": "55033X.",
"strip": 5
},
{
"id": 22,
"pattern": "123X.",
"strip": 1,
"prepend": "55033"
}
],
"trunk_list": [
{
"id": 27,
"name": "test-peer-trunking",
"type": "peer"
}
],
"ext_list": [
{
"ext_number": "2010",
"ext_name": "Wayne Willis",
"type": "extension",
"id": 58
}
],
"pos": 4,
"pin_protect": "single_pin",
"pin": "1234"
},
{
"id": 13,
"name": "outbound_to_cloud",
"outbound_cid": "",
"dial_pattern_list": [
{
"id": 14,
"pattern": "9X.",
"strip": 0
}
],
"trunk_list": [
{
"id": 27,
"name": "test-peer-trunking",
"type": "peer"
}
],
"ext_list": [
{
"ext_number": "2002",
"ext_name": "Terrell Smith",
"type": "extension",
"id": 76
}
],
"pos": 3,
"pin_protect": "pin_list",
"pin_list": 1
}
]
}